library(ggplot2)
library(tidyr)
#faili sisselugemine ja andmete formaadi korrigeerimine
J416=read.csv("PT4-T4.1-J4.1.6.csv",header=TRUE, encoding ="UTF-8")[1:4]
J416$X[J416$X=="Eesti"]="EESTI"
names(J416)=gsub("\\.", " ", names(J416))
levels=J416$X=reorder(J416$X, J416$halb)
J416=pivot_longer(J416,2:4)
J416$name=as.factor(J416$name)
J416$X=as.factor(J416$X)
J416$X=factor(J416$X, levels)
font=rep(1,18)
font[15]=2

#joonis
ggplot(J416)+
  geom_col(aes(x=X,y=value,fill=name))+
  theme_minimal()+
  scale_fill_manual(values=c("#ff3600","#81DBFE","#1E272E"))+
  theme(text = element_text(color="#668080"),axis.text=element_text(color="#668080"))+
  xlab("")+
  ylab("%")+
  theme(axis.text.x = element_text(angle = 90,face=font))+
  theme(legend.title = element_blank())







